Last modified: 2013-07-16 18:31:53 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 43913 - Please create and run a maintenance script to consolidate some user rights changes made at Meta-Wiki
Please create and run a maintenance script to consolidate some user rights ch...
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
General/Unknown (Other open bugs)
wmf-deployment
All All
: Low enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
: shell
Depends on:
Blocks: 16660 SWMT
  Show dependency treegraph
 
Reported: 2013-01-12 21:56 UTC by MA
Modified: 2013-07-16 18:31 UTC (History)
11 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description MA 2013-01-12 21:56:08 UTC
Please see bug 20446

Please create a maintenance script to convert all user rights log entries at Meta-Wiki in the type User:A@metawiki to User:A.

Example: <https://meta.wikimedia.org/w/index.php?title=Special%3ALog&type=rights&user=&page=User%3AMike.lifeguard%40metawiki&year=&month=-1&tagfilter=>; although there are a lot more from other stewards before the bug I cite above was fixed.

This, as it is, splits the user rights log of a single user in two, which is annoying.

Best regards.
Comment 1 Snowolf 2013-01-12 23:00:25 UTC
Priority set to low, tho should be done eventually.
Comment 2 Alex Monk 2013-01-13 16:56:35 UTC
Gerrit change #43689
Comment 3 Alex Monk 2013-03-01 20:56:22 UTC
Based on Tyler Romeo's comments I think this single SQL query may actually do it:

UPDATE logging SET log_title = SUBSTR(log_title, 1, INSTR(log_title, '@metawiki') - 1) WHERE log_title LIKE '%@metawiki';

Therefore we may not even need a maintenance script.

Third-party users of the interwiki userrights system would just need to replace @metawiki with their $wgUserrightsInterwikiDelimiter and wiki ID (database name and table prefix IIRC).
Comment 4 Peter Gehres 2013-03-04 18:56:26 UTC
I see 272 rows in metawiki.logging for 71 different users.  I also can confirm that the above query generates the expected outcome when run as a select on a slave.
Comment 5 Sam Reed (reedy) 2013-05-16 22:07:32 UTC
mysql:wikiadmin@db1041 [metawiki]> UPDATE logging SET log_title = SUBSTR(log_title, 1, INSTR(log_title,
    -> '@metawiki') - 1) WHERE log_title LIKE '%@metawiki';
Query OK, 272 rows affected (16.55 sec)
Rows matched: 272  Changed: 272  Warnings: 0

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links